#include "hbqtgui.ch"

STATIC s_qApp
STATIC s_re1

INIT PROCEDURE Qt_Start()
   s_qApp := QApplication()
   RETURN

EXIT PROCEDURE Qt_End()
   RETURN

PROCEDURE Main()
   LOCAL oWnd

   hbqt_errorsys()

   oWnd := QMainWindow()

   oWnd:setWindowTitle( "Harbour-Qt Implementation Test Dialog" )
   oWnd:setWindowIcon( "test" )
   oWnd:resize( 900, 500 )
   oWnd:connect( 19, {|| QApplication():quit() } )

   Build_MenuBar( oWnd )

   oWnd:Show()
   s_qApp:exec()

RETURN

STATIC FUNCTION Build_MenuBar( oWnd )

   LOCAL oMenuBar, oMenu1, oMenu2
   LOCAL oActNew, oActOpen, oActSave, oActExit
   LOCAL oActColors, oActFonts, oActPgSetup, oActPreview, oActWiz, oActWeb

   oMenuBar := QMenuBar()
   oMenuBar:resize( oWnd:width(), 25 )

   oMenu1 := QMenu()
   oMenu1:setTitle( "&File" )

   oActNew := QAction( oMenu1 )
   oActNew:setText( "&New" )
   oActNew:connect( "triggered(bool)", {|| MsgInfo( "New" ) } )
   oMenu1:addAction( oActNew )

   oActOpen := oMenu1:addAction( "&Open" )
   oActOpen:connect( "triggered(bool)", {|| MsgInfo( "Open" ) } )

   oMenu1:addSeparator()

   oActSave := oMenu1:addAction( "&Save" )
   oActSave:connect( "triggered(bool)", {|| MsgInfo( "Save" ) } )

   oMenu1:addSeparator()

   oActExit := oMenu1:addAction( "E&xit" )
   oActExit:connect( "triggered(bool)", {|| s_qApp:quit() } )

   oMenuBar:addMenu( oMenu1 )

   oMenu2 := QMenu()
   oMenu2:setTitle( "&Dialogs" )

   oActColors := oMenu2:addAction( "&Colors" )
   oActColors:connect( "triggered(bool)", {|| MsgInfo( "Colors" ) } )

   oActFonts := oMenu2:addAction( "&Fonts" )
   oActFonts:connect( "triggered(bool)", {|| MsgInfo( "Fonts" ) } )

   oMenu2:addSeparator()

   oActPgSetup := oMenu2:addAction( "&PageSetup" )
   oActPgSetup:connect( "triggered(bool)", {|| MsgInfo( "PageSetup" ) } )

   oActPreview := oMenu2:addAction( "P&review" )
   oActPreview:connect( "triggered(bool)", {|| MsgInfo( "Preview" ) } )

   oMenu2:addSeparator()

   oActWiz := oMenu2:addAction( "&Wizard" )
   oActWiz:connect( "triggered(bool)", {|| MsgInfo( "Wizard" ) } )

   oActWeb := oMenu2:addAction( "W&ebPage" )
   oActWeb:connect( "triggered(bool)", {|| MsgInfo( "WebPage" ) } )

   oMenuBar:addMenu( oMenu2 )

   oWnd:setMenuBar( oMenuBar )

RETURN NIL

STATIC FUNCTION MsgInfo( cMsg )
   LOCAL oMB

   oMB := QMessageBox()
   oMB:setInformativeText( cMsg )
   oMB:setWindowTitle( "Harbour-QT" )
   oMB:exec()

   oMB := NIL
   HB_GCALL( .T.)

   RETURN nil
